\version "2.23.6"

#(ly:set-option 'warning-as-error #t)

\header {
  texidoc="User-defined bar lines can be printed for @code{\\repeat
volta} by setting the @code{startRepeatBarType}, @code{endRepeatBarType},
and @code{doubleRepeatBarType} context properties, and when the bar line
does not fall on a measure boundary, the value of
@code{underlyingRepeatBarType} is appended.  This output should show two
adjacent repeated sections with unusually ornate bar lines."
}

%% Notice that we define *only* the -|| versions of these.
%%
%% For a score with span-bars, ":;|]." would need to be defined as
%% well, but we don't need to complicate this test with that.
\defineBarLine ".[|;:-||" #'("." ".[|;:" "  |") % start
\defineBarLine ":;|].-||" #'(":;|]." #f "  |  ") % end
\defineBarLine ":;|][|;:-||" #'(":;|]." ".[|;:" "  |  |") % double

\layout {
  \context {
    \Score
    %% N.B. We don't want the -|| annotation here.  LilyPond should
    %% append it automatically for unaligned repeats/segni.
    doubleRepeatBarType = ":;|][|;:"
    endRepeatBarType = ":;|]."
    startRepeatBarType = ".[|;:"
  }
}

testBars = ##{#}

\include "bar-line-define-repeat-test.ily"
